%{?nodejs_find_provides_and_requires}

%global packagename rc
%global enable_tests 1

Name:		nodejs-rc
Version:	1.2.1
Release:	1%{?dist}
Summary:	Hardwired configuration loader

License:	(BSD OR MIT OR ASL 2.0)
URL:		https://github.com/dominictarr/rc
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz


ExclusiveArch:	%{nodejs_arches} noarch
BuildArch:	noarch

BuildRequires:	nodejs-packaging
BuildRequires:	npm(deep-extend)
BuildRequires:	npm(ini)
BuildRequires:	npm(minimist)
BuildRequires:	npm(strip-json-comments)
%if 0%{?enable_tests}
#BuildRequires:	
%endif

%description
Hardwired configuration loader


%prep
%autosetup -n package

# fix script interpreter
sed -i '1s/env //' index.js

%nodejs_fixdep deep-extend

%build
# nothing to do!

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json index.js lib/ \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
set -e; node test/test.js; node test/ini.js; node test/nested-env-vars.js
%else
%{_bindir}/echo -e "\e[101m -=#=- Tests disabled -=#=- \e[0m"
%endif

%files
%doc README.md
%license LICENSE*
%{nodejs_sitelib}/%{packagename}

%changelog
* Fri Sep 29 2017 Jared Smith <jsmith@fedoraproject.org> - 1.2.1-1
- Initial packaging
